﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms;
using System.Collections.Specialized;
using CellGrid_2010;

namespace CellGrid_2008
{
    public partial class Form1 : Form
    {
        public Form1()
        {

            InitializeComponent();
            this.gridControl1.ColCount = 3;
            this.gridControl1.DefaultRowHeight = 30;
            this.gridControl1.HScrollPixel = true;
            this.gridControl1.ColWidths[1] = 1000;
            this.gridControl1.ColWidths[2] = 1000;
            this.gridControl1.ColWidths[3] = 1000;
            this.gridControl1[0, 2].Text = "Name";
            this.gridControl1[0, 1].Text = "ID";
            this.gridControl1[0, 3].Text = "Value";
            this.gridControl1.NumberedColHeaders = false;
            this.gridControl1.Model.CellModels["HeaderCell"] = new GridCellModelBase(this.gridControl1.Model);
            //Event triggering
            this.gridControl1.DrawCellDisplayText += new GridDrawCellDisplayTextEventHandler(gridControl1_DrawCellDisplayText);
            this.gridControl1.HorizontalScroll += GridControl1_HorizontalScroll;
        }
        //Event Cudtomization
        private void GridControl1_HorizontalScroll(object sender, ScrollEventArgs e)
        {
            this.gridControl1.InvalidateRange(GridRangeInfo.Row(0));
        }
        //Event Customization
        void gridControl1_DrawCellDisplayText(object sender, GridDrawCellDisplayTextEventArgs e)
        {
            Rectangle rectangle = this.gridControl1.RangeInfoToRectangle(GridRangeInfo.Cell(e.RowIndex, e.ColIndex));
            Rectangle nextRectangle = this.gridControl1.RangeInfoToRectangle(GridRangeInfo.Cell(e.RowIndex, e.ColIndex + 1));
            Rectangle tableControlRectangle = this.gridControl1.ClientRectangle;
            Rectangle textRect = e.TextRectangle;
            if (e.RowIndex == 0 &&
                    rectangle.X + rectangle.Width >= nextRectangle.X)
            {
                e.Graphics.DrawString(e.DisplayText, e.Style.GdipFont, new SolidBrush(e.Style.TextColor), (int)(rectangle.X), textRect.Y);
                e.Cancel = true;
            }
        }
    }
}